Bug 245180 - emacs can't be rebuilded on x86_64
emacs can't be rebuilded on x86_64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: emacs (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Hracek
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 10:28 EDT by Mykola Ulianytskyi
Modified: 2013-11-04 07:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 07:40:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fix problem (285 bytes, text/x-patch)
2007-06-21 10:29 EDT, Mykola Ulianytskyi
no flags Details

  None (edit)
Description Mykola Ulianytskyi 2007-06-21 10:28:04 EDT
Description of problem:
   emacs can't be rebuilded on x86_64

Version-Release number of selected component (if applicable):
   emacs-21.4-18.1

How reproducible:
   Always

Steps to Reproduce:
1. rpmbuild -ba emacs.spec
...
Finding pointers to doc strings...
Finding pointers to doc strings...done
Wrote /home/lystor/build/BUILD/emacs-21.4/lib-src/fns-21.4.1.el
Dumping under names emacs and emacs-21.4.1
make[1]: *** [emacs] Segmentation fault
make[1]: *** Deleting file `emacs'
make[1]: Leaving directory `/home/lystor/build/BUILD/emacs-21.4/src'
make: *** [src] Error 2

Additional info:
$ cat /proc/sys/kernel/exec-shield
0

$ uname -a
Linux bluebox.asplinux.com.ua 2.6.18-8.el5 #1 SMP Fri Jan 26 14:15:14 EST 2007
x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Mykola Ulianytskyi 2007-06-21 10:29:46 EDT
Created attachment 157541 [details]
patch fix problem

patch fix problem
Comment 2 Levente Farkas 2009-05-13 13:50:36 EDT
the same problem happened with me so please apply to the attached spec for the rhel's spec file.
Comment 3 Petr Hracek 2013-10-11 08:17:53 EDT
Is that fix also valid for RHEL 5.10 or 5.9?
Comment 4 Petr Hracek 2013-11-04 07:40:23 EST
emacs package is buildable on RHEL-5.9 without any error
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=6520583
Comment 5 Petr Hracek 2013-11-04 07:40:51 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification. Issue is already fixed in RHEL-6/7.

Note You need to log in before you can comment on or make changes to this bug.